Memcached::getOption
Memcached::getResultMessage
Memcached
PHP Manual

# Memcached::getResultCode

(PECL memcached >= 0.1.0)

Memcached::getResultCode — Return the result code of the last operation

### Description

public int Memcached::getResultCode ( void )

Memcached::getResultCode() returns one of the `Memcached::RES_*` constants that is the result of the last executed Memcached method.

### Parameters

This function has no parameters.

### Return Values

Result code of the last Memcached operation.

### Examples

Example #1 Memcached::getResultCode() example

`<?php
$m = new Memcached();
$m->addServer('localhost', 11211);
$m->add('foo', 'bar');
if ($m->getResultCode() == Memcached::RES_NOTSTORED) {
/* ... */
}
?>`

Memcached::getOption
Memcached::getResultMessage
Memcached
PHP Manual